import { Component, createSignal, onMount } from 'solid-js';

import logo from './logo.svg';
import styles from './App.module.css';
import { Route, Routes } from '@solidjs/router';
import { DefaultApi } from './oai';

const App: Component = () => {
  return (
    <Routes>
      <Route path='/login' element={<div>Test</div>} />
      <Route path='/test' component={Test} />
    </Routes>
  );
};

const [test, setTest] = createSignal<string>('');

const runTest = async () => {
  const api = new DefaultApi();
  const res = await api.helloGet({ name: 'Pipi' });
  setTest(res);
};

const Test: Component = () => {
  onMount(runTest);
  return <h1>Testing: {test()}</h1>;
};

export default App;
