import { Route, Routes } from '@solidjs/router';
import { Component, createEffect, createSignal, lazy } from 'solid-js';
import Navbar from './ui/Navbar';
// Only load the components if we are navigating to them
const Home = lazy(() => import('./pages/Home'));
const Login = lazy(() => import('./pages/Login'));
const Test = lazy(() => import('./pages/Test'));

export type User = {
  id: string;
  login: string;
};

const [user, setUser] = createSignal({ id: '', login: '' } as User);

const App: Component = () => {
  return (
    <>
      <Navbar />
      <Routes>
        <Route path={'test'} component={Test} />
        <Route path={['login', 'register']} component={Login} />
        <Route path={['/', '*']} component={Home} />
      </Routes>
    </>
  );
};

export { user, setUser };
export default App;
