import { A, useNavigate } from '@solidjs/router';
import { Component, Show } from 'solid-js';
import RestClient from '../api/RestClient';
import { user, setUser } from '../App';
import Button from './Button';

const Navbar: Component = () => {
  const nav = useNavigate();
  return (
    <div class='flex justify-between items-center bg-sh-bg p-3'>
      <div class='flex items-center'>
        <A
          href='/'
          class='pl-2 text-xl font-bold no-underline text-sh-yellow hover:text-sh-yellowM1'
        >
          Just todo it!
        </A>
      </div>
      <h1 class='flex -ml-20 text-xl font-bold no-underline text-sh-yellow'>
        Hey {user().login}!
      </h1>
      <Show
        when={user().login !== ''}
        fallback={
          <>
            <Button onClick={() => nav('/login')} backgroundColor='yellow' color='black'>
              Login
            </Button>
          </>
        }
      >
        <Button
          onClick={() => {
            RestClient.DELETE('/logout');
            setUser({ id: '', login: '' });
            nav('/login');
          }}
          backgroundColor='magenta'
          color='black'
        >
          Logout
        </Button>
      </Show>
    </div>
  );
};

export default Navbar;
