import { defineConfig } from 'vite';
import solidPlugin from 'vite-plugin-solid';

const backend = 'http://127.0.0.1:6969';

export default defineConfig({
  plugins: [solidPlugin()],
  server: {
    port: 3000,
    proxy: {
      '/api': {
        target: backend,
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/api/, ''),
      },
    },
  },
  build: {
    target: 'esnext',
  },
});
